
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: BucketTypes.Info) {
        return request('/api/bucketinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: BucketTypes.BucketInfoDelInput) {
        return request(`/api/bucketinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: BucketTypes.Info) {
        return request('/api/bucketinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },



    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/bucketinfo/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/bucketinfo/list', {
            method: 'POST'
        });
    },
    /**
    * 未绑定的设备列表
    * @param parms 
    * @returns 
    */
    UnBindList() {
        return request('/api/bucketinfo/UnBindList', {
            method: 'GET'
        });

    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: BucketTypes.Page) {
        return request('/api/bucketinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 批量更新
     * @param parms 
     * @returns 
     */
    BatchUpdate(parms: BucketTypes.BatchAdd) {
        return request('/api/bucketrecipe/batchupdate', {
            method: 'POST',
            data: parms
        });
    },
     /**
     * 根据设备Id查询配方信息
     * @param parms 
     * @returns 
     */
    RecipeList(id: string){
        return request('api/bucketrecipe/list', {
            method: 'POST',
            data: {
                bucketId: id
            }
        });
    },
    // 根据桶id查询桶的物料记录

    materialtrecored(parms: BucketTypes.BucketMaterialsRecordQueryPageInput){
      return request('/api/bucketmaterialsrecord/pagedlist',{
        method: 'POST',
        data:{...parms}
      })
    },
    // materialtrecored(){
    //     return request('/api/bucketmaterialsrecord/list',{
    //       method: 'GET',
          
    //     })
    //   }

}

